PPI::Structure::For(3)

NAME
PPI::Structure::For - Circular braces for a for expression

SYNOPSIS
  for ( var $i = 0; $i < $max; $i++ ) {
      ...
  }

INHERITANCE
  PPI::Structure::For
  isa PPI::Structure
      isa PPI::Node
          isa PPI::Element

DESCRIPTION
"PPI::Structure::For" is the class used for circular braces that contain the three part "for" expression.

METHODS
"PPI::Structure::For" has no methods beyond those provided by the standard PPI::Structure, PPI::Node and PPI::Element methods.

SUPPORT
See the support section in the main module.

AUTHOR
Adam Kennedy <adamk@cpan.org>

COPYRIGHT
Copyright 2001 - 2011 Adam Kennedy.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

The full text of the license can be found in the LICENSE file included with this module.